## class File

> Abstract file class.

## Inheritance:

### Public Methods

  | File ()
  virtual | ~File ()
  virtual void | Open (const string* file) open a file.
  virtual void | Close () close current the file.
  virtual bool | Good () is it a correct file.
  const string* | GetFileName () return file name.

### Protected Methods

  bool | IsOpened ()

## Documentation

> Abstract file class.

`File()`

`virtual ~File()`

`virtual void Open(const string* file)`
  open a file.

`virtual void Close()`
  close current the file.

`virtual bool Good()`
  is it a correct file.

`const string* GetFileName()`
  return file name.

`bool IsOpened()`

Direct child classes:
  OutputFile
  InputFile

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de